﻿using EFlib;
using Model;
using System.Collections.Immutable;
using System.Collections.ObjectModel;

namespace API.Dto
{
    public class ChampionDto
    {
        /**** Only Attributs ****/
        public string Name { get; set; }
        public string Bio { get; set; }
        public string Icon { get; set; }
        
        // Obliger de split un dictionnaire pour le Json
        public IEnumerable<string> Keydic { get; set; }
        public IEnumerable<int> Valuedic { get; set; }
        
        public ChampionClass Class { get; set; }
        public ReadOnlyCollection<SkinDto> Skins { get; set; }
        public ImmutableHashSet<SkillDto> Skills { get; private set; }
        public LargeImage Image { get; set; }

    }
}
